mode: deployment
image:
  repository: otel/opentelemetry-collector-contrib
service:
  type: LoadBalancer
  loadBalancerIP: 10.255.241.12
config:
  # receivers:
    # prometheus/collector:
    #   config:
    #     scrape_configs:
    #       - job_name: 'opentelemetry-collector'
    #         static_configs:
    #           - targets:
    #              - ${env:MY_POD_IP}:8888
    # zipkin:
      # endpoint: ${env:MY_POD_IP}:9411
  exporters:
    otlp:
      endpoint: "tempo.tempo.svc:4317"
      tls:
        insecure: true
    prometheus:
      endpoint: ${env:MY_POD_IP}:8889
      namespace: otel
    # otlphttp/metrics:
      # endpoint: http://prom-prometheus.prometheus:9090/api/v1/otlp
      # tls:
        # insecure: true
    otlphttp/logs:
      endpoint: http://loki-write-headless.loki:3100/otlp
      tls:
        insecure: true
    debug/metrics:
      verbosity: detailed
    debug/traces:
      verbosity: detailed
    debug/logs:
      verbosity: detailed
  service:
    telemetry:
      logs:
        level: "info"
    pipelines:
      traces:
        receivers: [otlp] # zipkin
        processors: [batch]
        exporters: [otlp]
        # exporters: [otlphttp/traces,debug/traces]
      metrics:
        receivers: [otlp,prometheus] # prometheus/collector
        processors: [batch]
        exporters: [prometheus]
        # exporters: [otlphttp/metrics,debug/metrics]
      logs:
        receivers: [otlp]
        processors: [batch]
        exporters: [otlphttp/logs]
        # exporters: [otlphttp/logs,debug/logs]
ports:
  metrics:
    enabled: true
    containerPort: 8889
    servicePort: 8889
    protocol: TCP

serviceMonitor:
  enabled: true

# presets:
#   logsCollection:
#     enabled: true
ingress:
  enabled: false
  annotations:
      cert-manager.io/cluster-issuer: letsencrypt-production
      nginx.ingress.kubernetes.io/ssl-redirect: "true"
      oceanbox.io/expose: internal
  ingressClassName: nginx
  hosts:
    - host: opentelemetry-collector.adm.oceanbox.io
      paths:
        - path: /
          pathType: Prefix
          port: 4318
  tls:
    - secretName: collector-tls
      hosts:
        - opentelemetry-collector.adm.oceanbox.io
